Search Results for

Show / Hide Table of Contents

# Class ProgressBarFormat

Specifies the format that a ProgressBar uses to indicate the visual presentation.

##### Inheritance

System.Object
ProgressBarFormat

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class ProgressBarFormat : Enum

### Fields

#### Framed

A framed visual presentation showing only the progress bar.

##### Declaration

    public const ProgressBarFormat Framed

##### Field Value

Type | Description
--- | ---
ProgressBarFormat |

#### FramedPlusPercentage

A framed visual presentation showing the progress bar and the percentage.

##### Declaration

    public const ProgressBarFormat FramedPlusPercentage

##### Field Value

Type | Description
--- | ---
ProgressBarFormat |

#### FramedProgressPadded

A framed visual presentation showing all with the progress bar padded.

##### Declaration

    public const ProgressBarFormat FramedProgressPadded

##### Field Value

Type | Description
--- | ---
ProgressBarFormat |

#### Simple

A simple visual presentation showing only the progress bar.

##### Declaration

    public const ProgressBarFormat Simple

##### Field Value

Type | Description
--- | ---
ProgressBarFormat |

#### SimplePlusPercentage

A simple visual presentation showing the progress bar and the percentage.

##### Declaration

    public const ProgressBarFormat SimplePlusPercentage

##### Field Value

Type | Description
--- | ---
ProgressBarFormat |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |